GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
gtpin::GtRtKernelType Class Reference
GTPin: Kernel

Type of a kernel (shader) More...

`#include <igt_kernel.h>`

## Public Member Functions
constexpr | GtRtKernelType (KERNEL_RT_TYPE v=KERNEL_RT_TYPE_INVALID)
| Conversion constructor.
constexpr | operator KERNEL_RT_TYPE () const
| Conversion operator.
const char * | ToString () const
| Return string representation.
## Static Public Member Functions
static GtRtKernelType | MakeFromString (const char *typeCstr)
| Construct from string.

## Detailed Description

Type of a kernel (shader)

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT